# Edit Network Storage - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-edit-network-storage

# Edit Network Storage

POST

/

gpu-instance

/

openapi

/

v1

/

networkstorage

/

update

Try it

Edit Network Storage

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"storageId": "&#x3C;string>",
"storageName": "&#x3C;string>",
"storageSize": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update"payload = { "storageId": "&#x3C;string>", "storageName": "&#x3C;string>", "storageSize": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({storageId: '&#x3C;string>', storageName: '&#x3C;string>', storageSize: '&#x3C;string>'})};fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'storageId' => '&#x3C;string>', 'storageName' => '&#x3C;string>', 'storageSize' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update"	payload := strings.NewReader("{\n \"storageId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"storageId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"storageId\": \"&#x3C;string>\",\n \"storageName\": \"&#x3C;string>\",\n \"storageSize\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-storage-id)

storageId

string

required

The unique identifier for the storage.

[​](#param-storage-name)

storageName

string

required

The name of the storage.

[​](#param-storage-size)

storageSize

string

required

The size of the storage in appropriate units.

##

[​](#example)

Example

Request

```
curl --request POST \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"storageId": "string",
"storageName": "string",
"storageSize": "string"
}'
```

Response

```
{}
```

Last modified on December 23, 2024
